# operator == abstract method

1. @override

bool operator ==(

1. Object other

)
override

Checks if this annotation is equal to another object.

Two annotations are considered equal if they are of the same _type and all their properties have equal values.

Parameters:

- `other`: The object to compare with this annotation

Returns: true if the objects are equal, false otherwise

## Implementation

    @override
    bool operator ==(Object other);